* {
    box-sizing : border-box;
}

:root {
    --main-red-color: #e06262;
    --main-black-color: #484848;
}

.main-red-color {
    color: var(--main-red-color);
}

.main-black-color {
    color: var(--main-black-color);
}

html {

    font-size : 10px;

}

body {
    display : flex;
    justify-content: center;
    align-content: center;
    align-items: center;
    
    background-color: #2d2d2d;
    height: 100vh;
}

body, html {
    padding: 0;
    margin : 0;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;

}

.container {
    width: 600px;
    height: 800px;
    background-color: #f2eecb;
    border-radius: 4px;

    padding : 32px;
}

.frame {
    border: 1px solid var(--main-black-color);
    height: 100%;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.header {
    display: flex;
    align-items: flex-start;
}

.header-title {
    flex: 1;
    text-align: center;

    color: var(--main-black-color);
    font-size: 3.6rem;
    font-family: 'Homemade Apple', sans-serif;
    text-transform: lowercase;
}

.header-btn {
    font-size: 1.8rem;
    font-family: 'Bungee',sans-serif;

    padding : 16px;
    cursor: pointer;

    background: unset;
    border: unset;
    outline: unset;
}

.header-btn.main-red-color:active {
    text-shadow: 1px 1px 2px var(--main-red-color);
}

.header-btn.main-black-color:active {
    text-shadow: 1px 1px 2px var(--main-black-color);
}

.add {
    padding: 16px;
}

.add-form {
    display: flex;
    align-items: flex-start;
}

.add-input {
    background: unset;
    border: unset;
    padding: 0 64px;

    flex: 1;

    border-bottom: 1px solid var(--main-red-color);
    outline: unset;

    font-family: 'Homemade Apple', sans-serif;
    font-size: 16px;
    text-transform: lowercase;
}

.add-btn {
    font-size: 1.8rem;
    font-family: 'Bungee', sans-serif;

    padding: 16px;
    padding-right: unset;
    cursor: pointer;

    background: unset;
    border: unset;
    outline: unset;
}

.add-btn.main-black-color:active {
    text-shadow: 1px 1px 2px var(--main-black-color);
}

.todos {
    display: flex;
    flex-direction: column;
}

.todo {
    position: relative;

    flex: 1 0 auto;
    text-align: center;

    min-height: 34px;
    margin: 16px 0 0;
    font-family: "Homemade Apple", sans-serif;
    font-size: 24px;

    border-bottom: 1px solid var(--main-red-color);
}

.todo-text {
    position: absolute;
    left: 50%;
    transform: translate(-50%);
}